Bug 749656 - [abrt] blueman-1.21-10.fc16: Functions.py:290:check_single_instance:OSError: [Errno 3] No such process
[abrt] blueman-1.21-10.fc16: Functions.py:290:check_single_instance:OSError: ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:a5743e5097c6cab1996d0977126...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-27 15:52 EDT by Jayesh Patel
Modified: 2013-02-13 14:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 14:39:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jayesh Patel 2011-10-27 15:52:06 EDT
libreport version: 2.0.6
abrt_version:   2.0.4.981
cmdline:        /usr/bin/python /usr/bin/blueman-applet
comment:        I just started my computer after a day and it happened. I have Fedora 16 beta installed on my system.
event_log:      2011-10-27-12:51:48> Smolt profile successfully saved
executable:     /usr/bin/blueman-applet
kernel:         3.1.0-1.fc16.x86_64
reason:         Functions.py:290:check_single_instance:OSError: [Errno 3] No such process
time:           Thu Oct 27 12:50:40 2011
uid:            1000
username:       jayesh

backtrace:
:Functions.py:290:check_single_instance:OSError: [Errno 3] No such process
:
:Traceback (most recent call last):
:  File "/usr/bin/blueman-applet", line 364, in <module>
:    BluemanApplet()
:  File "/usr/bin/blueman-applet", line 297, in __init__
:    check_single_instance("blueman-applet")
:  File "/usr/lib/python2.7/site-packages/blueman/Functions.py", line 290, in check_single_instance
:    os.kill(pid, signal.SIGUSR1)
:OSError: [Errno 3] No such process
:
:Local variables in innermost frame:
:isrunning: True
:event_time: 0
:f: <closed file '/tmp/blueman-applet-1000', mode 'w' at 0x20b79c0>
:pid: 1841
:id: 'blueman-applet'
:handler: <function handler at 0x21288c0>
:time: 0
:lockfile: '/tmp/blueman-applet-1000'
:unhide_func: None

smolt_data:
:
:
:General
:=================================
:UUID: a255f735-dba8-440c-a64d-11e7fb67ee2a
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 3190.65
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T5470  @ 1.60GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 1601
:System Memory: 2003
:System Swap: 4031
:Vendor: Dell Inc.
:System: Vostro 1500 
:Form factor: Portable
:Kernel: 3.1.0-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10752:4136:552) pci, None, HOST/PCI, Mobile PM965/GM965/GL960 Memory Controller Hub
:(32902:10753:4136:552) pci, pcieport, PCI/PCI, Mobile PM965/GM965/GL960 PCI Express Root Port
:(32902:10302:4136:552) pci, i801_smbus, SERIAL, 82801H (ICH8 Family) SMBus Controller
:(32902:10281:4136:552) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(32902:10320:4136:552) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller
:(32902:10261:4136:552) pci, None, PCI/ISA, 82801HEM (ICH8M) LPC Interface Controller
:(5348:17169:4136:7) pci, b43-pci-bridge, NETWORK, Wireless 1390 WLAN Mini-Card
:(32902:9288:4136:552) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10289:4136:552) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
:(32902:10288:4136:552) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
:(32902:10290:4136:552) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
:(4480:1426:4136:552) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(4480:2130:4136:552) pci, r852, BASE, xD-Picture Card Controller
:(4480:2098:4136:552) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(32902:10298:4136:552) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
:(5348:5900:4136:552) pci, b44, ETHERNET, BCM4401-B0 100Base-TX
:(32902:10309:4136:552) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 4
:(32902:10303:4136:552) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10305:4136:552) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 2
:(32902:10315:4136:552) pci, snd_hda_intel, MULTIMEDIA, 82801H (ICH8 Family) HD Audio Controller
:(32902:10292:4136:552) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
:(32902:10293:4136:552) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
:(4318:1063:4136:552) pci, nouveau, VIDEO, G86 [GeForce 8400M GS]
:(32902:10294:4136:552) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
:(4480:2082:4136:552) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_fedora-lv_root / ext4 4096 4096 12901535 11269582 10614222 3276800 3060622 3060622
:/dev/sda2 /boot ext4 1024 1024 495844 436701 411101 128016 127786 127786
:/dev/mapper/vg_fedora-lv_home /home ext4 4096 4096 14796329 13118256 12366640 3760128 3709094 3709094
:
Comment 1 Fedora End Of Life 2013-01-16 11:12:42 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 14:39:53 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.